AfterStep on Ubuntu (12.04/12.10/13.04)

From AfterWiki
Revision as of 08:58, 3 April 2013 by Sashavasko (Talk | contribs) (Created page with "=== Compilation === ==== Prerequisites ==== Packages required for compilation: <code>sudo apt-get install gcc autoconf libtool libfreetype6-dev zlib1g-dev xorg-dev x11-utils</c...")

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

Compilation

Prerequisites

Packages required for compilation:

sudo apt-get install gcc autoconf libtool libfreetype6-dev zlib1g-dev xorg-dev x11-utils

Compilation

The actual compilation step should be quite painless:

cd afterstep-stable
./configure
make
sudo make install

At this point you should have AfterStep installed in /usr/local/bin (binaries) and /usr/local/share/afterstep (data files). Now we need to setup the system to make good use of it.

System Configuration

MS Core Fonts, so that you can use Helvetica, Courier, Times, etc. fonts (Optional):

sudo apt-get install ttf-mscorefonts-installer